Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj
Class AnalogTriggerOutput.Type

    java.lang.Object
      edu.wpi.first.wpilibj.AnalogTriggerOutput.Type

Enclosing class:
  AnalogTriggerOutput

    public static class AnalogTriggerOutput.Type

extends Object

Type determines under what state the analog trigger evaluates to true or false

Field Summary
`static AnalogTriggerOutput.Type` | `kFallingPulse` outputType: true on a falling edge
`static AnalogTriggerOutput.Type` | `kInWindow` outputType: true if in the trigger window
`static AnalogTriggerOutput.Type` | `kRisingPulse` outputType: true on a rising edge
`static AnalogTriggerOutput.Type` | `kTypeState` outputType: true if above the upper limit, false if below the lower limit maintain previous state otherwise
`int` | `value` The integer value representing this enumeration

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public final int value

  The integer value representing this enumeration

### kInWindow

    public static final AnalogTriggerOutput.Type kInWindow

  outputType: true if in the trigger window

### kTypeState

    public static final AnalogTriggerOutput.Type kTypeState

  outputType: true if above the upper limit, false if below the lower limit maintain previous state otherwise

### kRisingPulse

    public static final AnalogTriggerOutput.Type kRisingPulse

  outputType: true on a rising edge

### kFallingPulse

    public static final AnalogTriggerOutput.Type kFallingPulse

  outputType: true on a falling edge

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"